| Home | Libraries | People | FAQ | More

## Function template read_json

boost::property_tree::json_parser::read_json

## Synopsis

    // In header: <boost/property_tree/json_parser.hpp>

    template<typename Ptree>
      void read_json(std::basic_istream< typename Ptree::key_type::value_type > & stream,
                     Ptree & pt);

## Description

Read JSON from a the given stream and translate it to a property tree.

Parameters: |
`pt` | The property tree to populate.
`stream` | Stream from which to read in the property tree.
Throws: | json_parser_error
Notes: | Clears existing contents of property tree. In case of error the property tree unmodified. Items of JSON arrays are translated into ptree keys with empty names. Members of objects are translated into named keys. JSON data can be a string, a numeric value, or one of literals "null", "true" and "false". During parse, any of the above is copied verbatim into ptree data string.